Last Comment Bug 591324 - Decode IDN punycode in Data Manager
: Decode IDN punycode in Data Manager
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Passwords & Permissions (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser
:
Mentors:
Depends on: DataManager
Blocks: 599097 629678
  Show dependency treegraph
 
Reported: 2010-08-27 06:11 PDT by Robert Kaiser
Modified: 2011-01-28 07:59 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1: display IDN names correctly (20.30 KB, patch)
2010-11-28 08:37 PST, Robert Kaiser
iann_bugzilla: review+
Details | Diff | Splinter Review

Description Robert Kaiser 2010-08-27 06:11:52 PDT
The current and first version of Data Manager displays domain names as they are stored, which means we display punycode for IDN instead of the decoded version that usually should be user-facing. We should deal with that and decode them where it display them in the UI, just how we do it in the urlbar and other places.
Comment 1 Robert Kaiser 2010-11-28 08:37:55 PST
Created attachment 493578 [details] [diff] [review]
v1: display IDN names correctly

This patch makes us display IDN hosts correctly everywhere in Data Manager.
Note that login hosts are already stores in encoded form, so they have even been working before, so they only needed a test to make sure they work. For content prefs, they can be set encoded (and Firefox page zoom does), but there's so many places that could set them in theory that it's best to support both decoded and encoded versions and sort things out at display time.
Comment 2 neil@parkwaycc.co.uk 2010-11-29 05:28:02 PST
So does this now show passwords and cookies for an IDN site in the same row?
Comment 3 Robert Kaiser 2010-11-29 06:23:55 PST
(In reply to comment #2)
> So does this now show passwords and cookies for an IDN site in the same row?

Yes, but actually, that should have happened before as well, as far as I've seen locally (I own an IDN domain and have passwords and cookies for it, that was what made me even realize that there is something to be improved). The URL parser actually returns punycode when fed a UTF8 domain name, from what I experienced here. What this patch changes that we display the UTF8 name (for domains matching the IDN whitelist) correctly everywhere instead of the punycode variant.
Comment 4 Ian Neal 2010-12-14 10:07:25 PST
Comment on attachment 493578 [details] [diff] [review]
v1: display IDN names correctly

r=me though might be worth getting some sort of review/feedback from someone that knows more about IDN than me
Comment 5 Robert Kaiser 2010-12-15 06:20:17 PST
Unfortunately, I don't know people in our SeaMonkey community that really know much about IDN. I own an IDN domain myself though, so I could test with a practical example in addition to what the test has. I also trust that users/testers will come up with bug reports where we still have issues.

Pushed as http://hg.mozilla.org/comm-central/rev/f9bf165e0c61

Note You need to log in before you can comment on or make changes to this bug.